src.c.log.log.Log Class Reference
Inheritance diagram for src.c.log.log.Log:

## Public Member Functions

def | __init__ (self)
def | printL (self, pMsg, pLvl)

## Public Attributes

| logger

## Detailed Description

    Log Manager

## Constructor & Destructor Documentation

def src.c.log.log.Log.__init__ | ( |  | self | ) |

    Define 3 differents log :
    activity.log -> all activity
    warning.log -> only warning
    error.log -> error
    Write all message on terminal too

## Member Function Documentation

def src.c.log.log.Log.printL | ( |  | self,
|  |  | pMsg,
|  |  | pLvl
| ) |  |

    Add color and write in log with an define level
    pMsg : message to write in log
    pLvl : level of log message

The documentation for this class was generated from the following file:

- src/c/log/log.py